Subject: problem with libpq and large objects

From: [email-masked] (Martin Adams)
Date: Tue, 25 May 93 02:44:53 -0700

Help !

I want to store the (binary) contents of files at postgres,
using the libpq Large-Objects (inversion-file) interface of postgres.

My headers:

#include <stdio.h>
#include "libpq-fs.h"
#include "pg_lobj.h"

When I try to compile it (on SPARC) with: cc -o pqwrite pq-write.c libpq.a,
the following error occurs:

ld: Undefined symbol 
   _setenv 

setenv is used by p_chdir from libpq (found at postgres/src/lib/libpq in fe-pqufs.c).
How to get that Symbol ?
I'm quite shure, that setenv isn't included in lib or in lib5 !?

I don't know, what to do, so please help !

BTW, do you know a better way to store some 20-50 binary files at postgres ?

Thanks in advance,

Martin Adams          ---  __o          Spinnereistrasse 1A
                   ----  _`\<,_         3000 Hannover 91 (Germany)
 ``Ride bike!''     --- (*)/ (*)        phone: 0511/454328 or 440651

-- -- -- -- --    [email-masked]    -- -- -- -- --